Skip to main content
GET
/
api
/
email
/
template
Get email templates
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/email/template \
  --header 'X-API-Key: <api-key>'
{
  "records": [
    {
      "attributeIds": [
        "<string>"
      ],
      "id": "<string>",
      "imageUrl": "<string>",
      "lang": "<string>",
      "name": "<string>",
      "order": 2,
      "subject": "<string>",
      "unlayerId": "<string>"
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

API key authentication

Query Parameters

lang
string
required

Language code

searchTerm
string

Search term to filter templates

attributeIds
string[]

Template attribute IDs to filter by

internal
boolean

Flag to retrieve only internal templates (by default false)

Response

Successful operation

records
object[]
total
number

Total number of templates